谢谢Bigal,
这是我拥有的,但我得到的;错误:输入列表格式不正确
- ;Based on PageSetups from Alan J. Thompson
- (defun c:A1_All ()
- (PlotReactorOFF)
- (if (findfile "T:/Drawing Tools/Templates/CCC2009.dwt")
- (progn
- (command "_.psetupin" (findfile "T:/Drawing Tools/Templates/CCC2009.dwt") "A1")
- (while (wcmatch (getvar "cmdnames") "*PSETUPIN*")
- (command "_yes")
- ) ;_ while
- T
- ) ;_ progn
- ) ;_ if
- (setq doc (vla-get-activedocument (vlax-get-acad-object)))
- (vlax-for lay (vla-get-Layouts doc)
- (setq plotabs (cons (vla-get-name lay) plotabs))
- )
- (setq plottablist (acad_strlsort plotabs))
- (setq len (length plottablist))
- (setq x 0)
- (repeat len
- (setq name (nth x plottablist))
- (princ name)
- (if (/= name "Model")
- (progn
- (setvar "ctab" name)
- )
- )
- (command "-plot" "n" "" "A1" "" "n" "y" "n")
- (command "_-purge" "a" "*" "N")
- (setq CCC_Sheet "A1")
- (command "updatefield" "all" "")
- (command "regenall")
- (command "_zoom" "e")
- (initdia)
- (command "._plot")
- (PlotReactorON)
- ;(princ)
- )
你能帮忙吗? |